/*  Copyright (C) 1996-2001  Martin Vicente			      -*- c -*-
    This file is part of the eXtended C Library (XCLIB).

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library (see the file COPYING.LIB).
    If not, write to the Free Software Foundation, Inc.,
    59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.		     */


/****  Project : eXtended C Library (XCLIB)
    *  Purpose : DISPLAY COLORIZATION
    *  Language: ANSI C
    *  File    : demo_colors.c
    *  Author  : Martin Vicente <martin@vicente.org>
    *
    ****/


#include <stdio.h>

#include <xc/colors.h>

int main()
{
    puts("\nATTRIBUTE:\n");

    puts("\t"SGR_BOLD     "   BOLD    "SGR_BOLD_OFF);
    puts("\t"SGR_UNDERLINE" UNDERLINE "SGR_UNDERLINE_OFF);
    puts("\t"SGR_BLINK    "   BLINK   "SGR_BLINK_OFF);
    puts("\t"SGR_REVERSE  "  REVERSE  "SGR_REVERSE_OFF);

    puts("\nFOREGROUND:\n");

    fputs(SGR_BOLD, stdout);

    puts("\t"SGR_BG_WHITE SGR_BLACK  "   BLACK   "SGR_DEFAULT SGR_BG_DEFAULT);
    puts("\t"SGR_BG_WHITE SGR_RED    "    RED    "SGR_DEFAULT SGR_BG_DEFAULT);
    puts("\t"SGR_BG_BLACK SGR_GREEN  "   GREEN   "SGR_DEFAULT SGR_BG_DEFAULT);
    puts("\t"SGR_BG_BLACK SGR_YELLOW "  YELLOW   "SGR_DEFAULT SGR_BG_DEFAULT);
    puts("\t"SGR_BG_WHITE SGR_BLUE   "   BLUE    "SGR_DEFAULT SGR_BG_DEFAULT);
    puts("\t"SGR_BG_BLACK SGR_MAGENTA"  MAGENTA  "SGR_DEFAULT SGR_BG_DEFAULT);
    puts("\t"SGR_BG_BLACK SGR_CYAN   "   CYAN    "SGR_DEFAULT SGR_BG_DEFAULT);
    puts("\t"SGR_BG_BLACK SGR_WHITE  "   WHITE   "SGR_DEFAULT SGR_BG_DEFAULT);

    fputs(SGR_BOLD_OFF, stdout);

    puts("\nBACKGROUND:\n");

    fputs(SGR_BOLD, stdout);

    puts("\t"SGR_BG_BLACK   SGR_WHITE"   BLACK   "SGR_DEFAULT SGR_BG_DEFAULT);
    puts("\t"SGR_BG_RED     SGR_WHITE"    RED    "SGR_DEFAULT SGR_BG_DEFAULT);
    puts("\t"SGR_BG_GREEN   SGR_BLACK"   GREEN   "SGR_DEFAULT SGR_BG_DEFAULT);
    puts("\t"SGR_BG_YELLOW  SGR_BLACK"  YELLOW   "SGR_DEFAULT SGR_BG_DEFAULT);
    puts("\t"SGR_BG_BLUE    SGR_WHITE"   BLUE    "SGR_DEFAULT SGR_BG_DEFAULT);
    puts("\t"SGR_BG_MAGENTA SGR_BLACK"  MAGENTA  "SGR_DEFAULT SGR_BG_DEFAULT);
    puts("\t"SGR_BG_CYAN    SGR_BLACK"   CYAN    "SGR_DEFAULT SGR_BG_DEFAULT);
    puts("\t"SGR_BG_WHITE   SGR_BLACK"   WHITE   "SGR_DEFAULT SGR_BG_DEFAULT);

    fputs(SGR_BOLD_OFF, stdout);

    return 0;
}


/* End of file */
