#define _XCLIB_SOURCE

#include <stdio.h>

#include "xc/macros.h"

#include <stdlib.h>

static double val(double value);

int main()
{
    double r;

    {
	int arr[2][3][5];

	printf("cardinal(arr) = %u\n", cardinal(arr));
    }

    {
	int i;

	i = MAX(2, 3);

	printf("MAX(2, 3) = %d\n", i);
    }

    {
	int i;

	for (i = -10; i <= +10; i++)
	{
	    const double value = (double)i / (double)10;

	    printf("ROUND(%+04g) = %+i\n", value, ROUND(value));
	}
    }

#if defined __GNUC__ && !defined __STRICT_ANSI__

    r = Mabs(val(-3));

    r = Mmin(val(-7), val(15));

    r = Mcube(val(2));

#endif

    abs(22);

    return 0;
}

double val(double value) { printf("%g\n", value); return value; }
